<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">
<head th:replace="fragments/structure/head :: head"></head>
<body>
<!-- ===== Content Page ===== -->
<div id="content-wrapper">
    <nav th:replace="fragments/structure/navigation :: navigation"></nav>

    <div>
        <form id="reset-password-form" method="post" novalidate th:action="@{/user/reset-password}">
            <div class="input-group form-group">
                <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fas fa-key"></i></span>
                </div>
                <input class="form-control input-brown" id="forgot-password" name="newPassword" onkeyup="validatePassword(this.id)"
                       required th:placeholder="#{placeholder.newpassword}" type="password"/>
                <div class="messages"></div>
            </div>

            <div class="input-group form-group">
                <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fas fa-key"></i></span>
                </div>
                <input class="form-control input-brown" id="forgot-confirm-password" name="newConfirm" onkeyup="validateConfirmPassword('forgot-password', this.id)"
                       required
                       th:placeholder="#{placeholder.confirmation}" type="password"/>
                <div class="messages"></div>
            </div>

            <input name="token" th:value="${token}" type="hidden">

            <input class="btn btn-outline-lightbrown" type="submit"/>
        </form>
    </div>

    <!-- ===== Modal Fragment ===== -->
    <div th:replace="fragments/modal/modal-account :: modal-account"></div>

    <!-- ===== Footer / Loading Script ===== -->
    <footer class="fixed-bottom">
        <div th:replace="fragments/structure/footer :: footer"></div>
        <script th:src="@{/js/modal-account.js}" type="text/javascript"></script>
        <script th:src="@{/js/form-validating.js}" type="text/javascript"></script>
    </footer>
</div>
</body>
</html>